petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPMonitorLGResidualNormCreate

Creates a line graph context for use with KSP to monitor convergence of preconditioned residual norms.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPMonitorLGResidualNormCreate(const char host[],const char label[],int x,int y,int m,int n,PetscObject **objs)

Collective on KSP

### Input Parameters

| host | - the X display to open, or null for the local machine
| label | - the title to put in the title bar
| x, y | - the screen coordinates of the upper left coordinate of the window
| m, n | - the screen width and height in pixels

### Output Parameter

draw -the drawing context

### Options Database Key

-ksp_monitor_lg_residualnorm -Sets line graph monitor

### Notes

Use KSPMonitorLGResidualNormDestroy() to destroy this line graph; do not use PetscDrawLGDestroy().

### Keywords

KSP, monitor, line graph, residual, create

### See Also

KSPMonitorLGResidualNormDestroy(), KSPMonitorSet(), KSPMonitorLGTrueResidualCreate()

Level:intermediate
Location:src/ksp/ksp/interface/xmon.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages